Name:       clips
Summary:    C Language Integrated Production System (CLIPS) Library
Version:    6.30
Release:    1
Group:      System/Libraries
License:    PD
Source0:    %{name}-%{version}.tar.gz

BuildRequires: cmake

%description
CLIPS is a productive development and delivery expert system tool which provides
a complete environment for the construction of rule and/or object based expert
systems. Created in 1985, CLIPS is now widely used throughout the government,
industry, and academia

%prep
%setup -q

%build
MAJORVER=`echo %{version} | awk 'BEGIN {FS="."}{print $1}'`

export   CFLAGS+=" -Wextra -Wcast-align -Wcast-qual -Wshadow -Wwrite-strings -Wswitch-default"
export CXXFLAGS+=" -Wextra -Wcast-align -Wcast-qual -Wshadow -Wwrite-strings -Wswitch-default -Wnon-virtual-dtor -Wno-c++0x-compat"

export   CFLAGS+=" -Wno-unused-parameter -Wno-empty-body"
export CXXFLAGS+=" -Wno-unused-parameter -Wno-empty-body"

export   CFLAGS+=" -fno-omit-frame-pointer -fno-optimize-sibling-calls -fno-strict-aliasing -fno-unroll-loops -fsigned-char -fstrict-overflow -fno-common"
export CXXFLAGS+=" -fno-omit-frame-pointer -fno-optimize-sibling-calls -fno-strict-aliasing -fno-unroll-loops -fsigned-char -fstrict-overflow"

export   CFLAGS+=" -DTIZEN_ENGINEER_MODE"
export CXXFLAGS+=" -DTIZEN_ENGINEER_MODE"
export   FFLAGS+=" -DTIZEN_ENGINEER_MODE"

cmake . -DCMAKE_INSTALL_PREFIX=%{_prefix} -DMAJORVER=${MAJORVER} -DFULLVER=%{version}
make %{?jobs:-j%jobs}

%install
rm -rf %{buildroot}
%make_install

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%manifest packaging/%{name}.manifest
%defattr(-,root,root,-)
%{_libdir}/*.so*

%package devel
Summary:    CLIPS (Development)
Group:      System/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
CLIPS (Development)

%files devel
%defattr(-,root,root,-)
%{_includedir}/clips/*.h
%{_libdir}/pkgconfig/%{name}.pc
